
%% Right extremal point finding subroutine
% Ales Zita 2011

%% Description
% To find first most extreme point in the right direction 
% on segmented image 
% Typically starting in the middle of correlation kernel region

%% Code
% image - segmented image
% start - starting coords

function [x,y] = FindRightExtrema(image, startx, starty)
    % False start detection    
    if image(starty,startx) ~= 1
        %'False beginning'
        x = startx;
        y = starty;
        return;
    end
    
    %% Main looop
    xx = startx;
    yy = starty;
    
    while image(yy,xx) == 1
        x = xx;
        y = yy;
        if image(yy,xx + 1) == 1
            xx = xx + 1; %right
        else
            yy = yy + 1; %down
        end
    end
end